New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Generation

Cancel generation

POST
/api/v1/generation/stop

Cancel the active generation, clear all pending queue jobs, and set cancelled flag.

Response Body

Successful Response

application/json
  1. response
stopped*Stopped

Whether the cancellation signal was sent

queue_cleared*Queue Cleared

Number of pending jobs removed from the queue

Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/generation/stop'
Example Response200
{  "stopped": true,  "queue_cleared": 0}